## com.gargoylesoftware.htmlunit
Enum HttpMethod

    java.lang.Object
      java.lang.Enum<HttpMethod>
          com.gargoylesoftware.htmlunit.HttpMethod

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HttpMethod>

    public enum HttpMethod

extends java.lang.Enum<HttpMethod>

Represents the various ways a page can be submitted.

Version:
  $Revision: 4002 $
Author:
  Mike Bowler, Ahmed Ashour, Marc Guillemot
See Also:
  RFC2616

Enum Constant Summary
`DELETE` DELETE.
`GET` GET.
`HEAD` HEAD.
`OPTIONS` OPTIONS.
`POST` POST.
`PUT` PUT.
`TRACE` TRACE.

Method Summary
`static HttpMethod` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HttpMethod[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OPTIONS

    public static final HttpMethod OPTIONS

  OPTIONS.

### GET

    public static final HttpMethod GET

  GET.

### HEAD

    public static final HttpMethod HEAD

  HEAD.

### POST

    public static final HttpMethod POST

  POST.

### PUT

    public static final HttpMethod PUT

  PUT.

### DELETE

    public static final HttpMethod DELETE

  DELETE.

### TRACE

    public static final HttpMethod TRACE

  TRACE.

Method Detail

### values

    public static HttpMethod[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HttpMethod c : HttpMethod.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HttpMethod valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.